Staking

Access to staking data

Retrieve staking buckets

get

Returns a list of all staking buckets with detailed information including owner, value, candidate, and vote statistics.

Authorizations
api-keystringRequired
Responses
chevron-right
200

Successful response with staking bucket data

application/json
get
/staking/buckets

Retrieve staking candidates

get

Returns a list of all staking candidates with their names, descriptions, addresses, and public keys.

Authorizations
api-keystringRequired
Responses
chevron-right
200

Successful response with staking candidate data

application/json
get
/staking/candidates

Retrieve staking stakeholders

get

Returns a list of all stakeholders participating in staking.

Authorizations
api-keystringRequired
Responses
chevron-right
200

Successful response with stakeholder data

application/json
get
/staking/stakeholders

Retrieve staking delegates for consensus

get

Returns a list of all delegates participating in consensus with detailed metrics.

Authorizations
api-keystringRequired
Responses
chevron-right
200

Successful response with delegate data

application/json
get
/staking/delegates

Last updated